unit uPlugins_Intf;

interface

uses FactuGES_Intf;

const
{
  MODULENAME_PRESUPUESTOS_CLIENTE = 'PresupuestosCliente_plugin.bpl';
  MODULENAME_PEDIDOS_CLIENTE = 'PedidosCliente_plugin.bpl';
  MODULENAME_ALBARANES_CLIENTE = 'AlbaranesCliente_plugin.bpl';
  MODULENAME_FACTURAS_CLIENTE = 'FacturasCliente_plugin.bpl';
  MODULENAME_FACTURAS_PROFORMA = 'FacturasProforma_plugin.bpl';
  MODULENAME_RECIBOS_CLIENTE = 'RecibosCliente_plugin.bpl';
}
  MODULENAME_PEDIDOS_PROVEEDOR = 'PedidosProveedor_plugin.bpl';
  MODULENAME_FACTURAS_PROVEEDOR = 'FacturasProveedor_plugin.bpl';
  
{
  MODULENAME_ALBARANES_PROVEEDOR = 'AlbaranesProveedor_plugin.bpl';

  MODULENAME_RECIBOS_PROVEEDOR = 'RecibosProveedor_plugin.bpl';
  MODULENAME_PROCESO_PRESUPUESTOS_CLIENTE = 'ProcesoPresupuestosCliente_plugin.bpl';
}

type

//  IMCPresupuestosCliente = interface(IInterface)
//    ['{D09E6FFF-50C7-48E2-8380-4CB57B74BB93}']
{    procedure VerPresupuestos(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

//  IMCPedidosCliente = interface(IInterface)
// ['{983DA6AB-C138-49BF-AB01-2C94C2284619}']
{    procedure VerPedidos(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

//  IMCAlbaranesCliente = interface(IInterface)
//    ['{0B9DD25A-3E76-446A-9EA6-D43131634A1E}']
{    procedure VerAlbaranes(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

//  IMCFacturasCliente = interface(IInterface)
//    ['{DA2FEEA4-4B37-4510-9CE8-6223F9894DEE}']
{    procedure VerFacturas(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

//  IMCFacturasProforma = interface(IInterface)
//    ['{5B0F25E1-DAD9-42AD-9F8A-48756F910225}']
{    procedure VerFacturas(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

//  IMCRecibosCliente = interface(IInterface)
//    ['{6535395A-1450-4E19-8031-F9CD3D062F6D}']
{    procedure VerRecibos(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;
}

  IMCPedidosProveedor = interface(IInterface)
  ['{C17955F6-0E99-4046-90E2-8167D39E0B0F}']
    procedure VerPedidos(const ID_Contrato: Integer;
      const AReferenciaContrato : String = ''; const ANombreCliente : String = '');
  end;

//  IMCAlbaranesProveedor = interface(IInterface)
//    ['{B567526E-A1F8-4311-BA19-04EE508B8374}']
{    procedure VerAlbaranes(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
    procedure VerDevoluciones(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;
}

  IMCFacturasProveedor = interface(IInterface)
    ['{8A48058F-490E-4BF4-9BBB-09654B66CEED}']
//    procedure VerFacturas(const ID_Proveedor: Integer; const ANombreProveedor : String = '');
    procedure VerFacturasContrato(Const ID_Contrato: Integer; Ref_Contrato: String = ''; NomCLi_Contrato: String = '');      
  end;


//  IMCRecibosProveedor = interface(IInterface)
//    ['{24A23E95-D148-404C-9987-B1ED4A19D3CA}']
{    procedure VerRecibos(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;
}

//  IMCProcesoPresupuestosCliente = interface(IInterface)
//  ['{2D83B0AF-4E5C-46A5-A371-5EFE363E4340}']
{    procedure VerPresupuestos(const ListaIDPresupuestosCliente : TIntegerArray);
  end;
}

implementation

end.
